--- title: "Get monitoring data" slug: "analytics-cloudsearch-getmonitoringitem" tags: ["Cloud Search"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-getmonitoringitem" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get monitoring data **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** Shows monitoring data. document_upload: Shows the size of the uploaded document. / uploaded document byte reindex: Shows the size of the reindexed document. / reindexed document byte autocomplete_reindex: Shows the number of documents for which autocomplete is enabled. / reindexed document count for autocomplete search_response: Shows the Search Query network usage. / response size of searching, unit is byte ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/monitoring/apicall_count ``` ## Request ### Request Parameters | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | name | Y | string | | Domain name | | monitoring_item | Y | enum, string | | Monitoring metric: document_upload, reindex, autocomplete_reindex, search_response | | interval | Y | number | 60, 300, 1800, 7200, 86400 | Monitoring interval: 60s, 300s, 1800s, 7200s, 86400s | | from | Y | string | ISO_8601 | Start time (UTC, ex: 20161027T171340Z ) | | to | Y | string | ISO_8601 | End time (UTC, ex: 20161027T171340Z ) | ## Response | Field | Type | Description | Note | | --- | --- | --- | --- | | | Array[number] | index 0: unixtime, index 1: value | | ### Response status | HTTP status | Description | | --- | --- | | 200 | OK (Successfully completed) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request Example - view daily data ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/car_dev/monitoring/document_upload?interval=60&from=2019-02-28T00%3A00%3A00Z&to=2019-02-28T00%3A00%3A00Z GET /CloudSearch/real/v1/domain/car_dev/monitoring/apicall_count?from=2019-02-28T00:00:00Z&interval=60&to=2019-02-28T00:00:00Z HTTP/1.1 Host:cloudsearch.apigw.ntruss.com accept:application/json x-ncp-apigw-signature-v2: cDwtHuQeGmwWyNmwlN6XIGA66zge4iMXvfoDQNna05g= x-ncp-apigw-timestamp: 1545817618751 x-ncp-iam-access-key: teGTwtcSEGA7fu28BGGi ``` ### Request Example ``` [ [ 1551312000, 200 ], [ 1551312060, 3 ], [ 1551312120, 20 ], ] ```